Commit 38cb5bb4 authored by Natanael Copa's avatar Natanael Copa
Browse files

community/nodejs-current: build with system c-ares

parent f8f4b275
......@@ -3,7 +3,7 @@
pkgname=nodejs-current
# The current stable version, i.e. non-LTS.
pkgver=8.1.3
pkgrel=0
pkgrel=1
pkgdesc="JavaScript runtime built on V8 engine - current stable version"
url="http://nodejs.org/"
arch="all"
......@@ -12,7 +12,7 @@ depends="ca-certificates"
depends_dev="libuv"
# gold is needed for mksnapshot
makedepends="$depends_dev python2 openssl-dev zlib-dev libuv-dev linux-headers
paxmark binutils-gold http-parser-dev ca-certificates"
paxmark binutils-gold http-parser-dev ca-certificates c-ares-dev"
subpackages="$pkgname-dev $pkgname-doc $pkgname-npm::noarch"
provides="nodejs"
replaces="nodejs nodejs-lts" # nodejs-lts for backward compatibility
......@@ -36,6 +36,7 @@ build() {
--shared-libuv \
--shared-openssl \
--shared-http-parser \
--shared-cares \
--openssl-use-def-ca-store \
|| return 1
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment